ARV-TOOL-0.8(1)

NAME
arv-tool-0.8 - manual page for arv-tool-0.8 0.8.23

DESCRIPTION

  Usage:

arv-tool-0.8 [OPTION?]
    command <parameters>

Small utility for basic control of a Genicam device.

  Help Options:

-h, --help
    Show help options

  Application Options:

-n, --name=<pattern>

-a, --address=<device_address>

--register-cache={disable|enable|debug}
    Register cache policy

--range-check={disable|enable|debug}
    Range check policy

--access-check={disable|enable}
    Feature access check policy

-t, --time
    Show execution time

-d, --debug={<category>[:<level>][,...]|help}

-v, --version
    Show version

Command may be one of the following possibilities:

genicam:
    dump the content of the Genicam xml data

features:
    list all features

values:
    list all available feature values

description [<feature>] ...:
    show the full feature description

control <feature>[=<value>] ...:
    read/write device features

network <setting>[=<value>]...:
    read/write network settings

If no command is given, this utility will list all the available devices. For the control command, direct access to device registers is provided using a R[address] syntax in place of a feature name.

EXAMPLES
arv-tool-0.8 control Width=128 Height=128 Gain R[0x10000]=0x10 arv-tool-0.8 features arv-tool-0.8 description Width Height arv-tool-0.8 network mode=PersistentIP arv-tool-0.8 network ip=192.168.0.1 mask=255.255.255.0 gateway=192.168.0.254 arv-tool-0.8 -n Basler-210ab4 genicam